public menu_handler_items(id,key)
{
	static item_bought,cost;
	
	switch(key)
	{
		case 0:
		{
			cost=BLEACH_ITEM_1_COST;
			item_bought=item_check(id,cost);
			if(item_bought)
			{
				g_player_item[id]=1;
			}
		}
		case 1:
		{
			cost=BLEACH_ITEM_2_COST;
			item_bought=item_check(id,cost);
			if(item_bought)
			{
				g_player_item[id]=2;
			}
		}
		case 2:
		{
			cost=BLEACH_ITEM_3_COST;
			item_bought=item_check(id,cost);
			if(item_bought)
			{
				g_player_item[id]=3;
			}
		}
		case 8:
		{
			menu_print_main(id);
		}
		
		default:
		{
			return PLUGIN_HANDLED;
		}
	}
	
	if(item_bought)
	{
		client_print(id,print_chat,"%L",id,"L_ITEM_BOUGHT",PLUGIN_TAG,g_item_names[g_player_item[id]]);
		cs_set_user_money(id,cs_get_user_money(id)-cost,1);
		item_passive(id);
		print_hud_player(id);
	}
	else if((!item_bought) && (key < 8))
	{
		menu_print_items(id);
	}
	
	return PLUGIN_HANDLED;
}
